﻿@using WebApp.ComponentsLib.Tree
@using Microsoft.AspNetCore.Components
@inherits TreeComponentViewModel
@*Почему-то не работает imports*@


<ul class="tree-view w-100">
  @foreach (var node in Tree.Nodes.Where(n => n.IsVisible))
  {
    <li id="node-@node.Id"
        class="list-group-item tree-view"
        data-nodeid="2"
        style="color: blueviolet; background-color: azure;">
      <div class="row no-margin no-padding">
        @for (int i = 0; i < node.Deep; i++)
        {
          <span class="indent"></span>
        }
        @if (node.IsExpandable && node.HasChildren)
        {
          if (!node.IsExpanded)
          {
            <i class="@node.IconToOpen"
               onclick="@(async () => await ExpandNodeAsync(node))"></i>
          }
          else if (node.IsExpanded)
          {
            <i class="@node.IconToClose"
               onclick="@(() => CollapseNode(node))"></i>
          }
        }
        else if (!node.IsExpandable || !node.HasChildren)
        {
          <span class="indent"></span>
        }
        @if (node.IsExpanded)
        {
          <i class="@node.OpenedIcon"></i>
        }
        else
        {
          <i class="@node.ClosedIcon"></i>
        }
        <div onclick="@(() => OnNodeChoose.Invoke(node.RealObject))">
          @node.Name
        </div>
      </div>
    </li>
  }
</ul>
